Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.server.impl.invocation
Class SessionAttributeResolver

    java.lang.Object
      org.jboss.portal.server.impl.invocation.SessionAttributeResolver

All Implemented Interfaces:
  org.jboss.portal.common.invocation.AttributeResolver

    public class SessionAttributeResolver

extends java.lang.Object
implements org.jboss.portal.common.invocation.AttributeResolver

Version:
  $Revision: 630 $
Author:
  Julien Viet

Field Summary
`protected java.lang.String` | `prefix` .
`protected javax.servlet.http.HttpServletRequest` | `req` .

Constructor Summary
`SessionAttributeResolver(javax.servlet.http.HttpServletRequest req, java.lang.String prefix, boolean principalScoped)`

Method Summary
`java.lang.Object` | `getAttribute(java.lang.Object o)`
`java.util.Set` | `getKeys()`
`void` | `setAttribute(java.lang.Object o, java.lang.Object o1)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### req

    protected final javax.servlet.http.HttpServletRequest req

  .

### prefix

    protected final java.lang.String prefix

  .

Constructor Detail

### SessionAttributeResolver

    public SessionAttributeResolver(javax.servlet.http.HttpServletRequest req,
                                    java.lang.String prefix,
                                    boolean principalScoped)

Method Detail

### getKeys

    public java.util.Set getKeys()

  Specified by:
    `getKeys` in interface `org.jboss.portal.common.invocation.AttributeResolver`

### getAttribute

    public java.lang.Object getAttribute(java.lang.Object o)
                                  throws java.lang.IllegalArgumentException

  Specified by:
    `getAttribute` in interface `org.jboss.portal.common.invocation.AttributeResolver`
  Throws:
    `java.lang.IllegalArgumentException`

### setAttribute

    public void setAttribute(java.lang.Object o,
                             java.lang.Object o1)
                      throws java.lang.IllegalArgumentException

  Specified by:
    `setAttribute` in interface `org.jboss.portal.common.invocation.AttributeResolver`
  Throws:
    `java.lang.IllegalArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD